# Uses of Class
java.awt.ComponentOrientation

Packages that use ComponentOrientation
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of ComponentOrientation in java.awt

Fields in java.awt declared as ComponentOrientation
Modifier and Type
Field
Description
`static ComponentOrientation`
ComponentOrientation.`LEFT_TO_RIGHT`
Items run left to right and lines flow top to bottom Examples: English, French.
`static ComponentOrientation`
ComponentOrientation.`RIGHT_TO_LEFT`
Items run right to left and lines flow top to bottom Examples: Arabic, Hebrew.
`static ComponentOrientation`
ComponentOrientation.`UNKNOWN`
Indicates that a component's orientation has not been set.
Methods in java.awt that return ComponentOrientation
Modifier and Type
Method
Description
`ComponentOrientation`
Component.`getComponentOrientation()`
Retrieves the language-sensitive orientation that is to be used to order the elements or text within this component.
`static ComponentOrientation`
ComponentOrientation.`getOrientation​(Locale locale)`
Returns the orientation that is appropriate for the given locale.
`static ComponentOrientation`
ComponentOrientation.`getOrientation​(ResourceBundle bdl)`
Deprecated.
As of J2SE 1.4, use `getOrientation(java.util.Locale)`.
Methods in java.awt with parameters of type ComponentOrientation
Modifier and Type
Method
Description
`void`
Component.`applyComponentOrientation​(ComponentOrientation orientation)`
Sets the `ComponentOrientation` property of this component and all components contained within it.
`void`
Container.`applyComponentOrientation​(ComponentOrientation o)`
Sets the `ComponentOrientation` property of this container and all components contained within it.
`void`
Component.`setComponentOrientation​(ComponentOrientation o)`
Sets the language-sensitive orientation that is to be used to order the elements or text within this component.

## Uses of ComponentOrientation in javax.swing

Methods in javax.swing with parameters of type ComponentOrientation
Modifier and Type
Method
Description
`void`
JMenu.`applyComponentOrientation​(ComponentOrientation o)`
Sets the `ComponentOrientation` property of this menu and all components contained within it.
`void`
JScrollPane.`setComponentOrientation​(ComponentOrientation co)`
Sets the orientation for the vertical and horizontal scrollbars as determined by the `ComponentOrientation` argument.